クロール
curl --request POST \
--url https://api.firecrawl.dev/v2/crawl \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"prompt": "<string>",
"excludePaths": [
"<string>"
],
"includePaths": [
"<string>"
],
"maxDiscoveryDepth": 123,
"sitemap": "include",
"ignoreQueryParameters": false,
"regexOnFullURL": false,
"limit": 10000,
"crawlEntireDomain": false,
"allowExternalLinks": false,
"allowSubdomains": false,
"delay": 123,
"maxConcurrency": 123,
"scrapeOptions": {
"formats": [
"markdown"
],
"onlyMainContent": true,
"includeTags": [
"<string>"
],
"excludeTags": [
"<string>"
],
"maxAge": 172800000,
"headers": {},
"waitFor": 0,
"mobile": false,
"skipTlsVerification": true,
"timeout": 30000,
"parsers": [
"pdf"
],
"actions": [
{
"type": "wait",
"milliseconds": 2
}
],
"location": {
"country": "US",
"languages": [
"en-US"
]
},
"removeBase64Images": true,
"blockAds": true,
"proxy": "auto",
"storeInCache": true
},
"zeroDataRetention": false
}
'import requests
url = "https://api.firecrawl.dev/v2/crawl"
payload = {
"url": "<string>",
"prompt": "<string>",
"excludePaths": ["<string>"],
"includePaths": ["<string>"],
"maxDiscoveryDepth": 123,
"sitemap": "include",
"ignoreQueryParameters": False,
"regexOnFullURL": False,
"limit": 10000,
"crawlEntireDomain": False,
"allowExternalLinks": False,
"allowSubdomains": False,
"delay": 123,
"maxConcurrency": 123,
"scrapeOptions": {
"formats": ["markdown"],
"onlyMainContent": True,
"includeTags": ["<string>"],
"excludeTags": ["<string>"],
"maxAge": 172800000,
"headers": {},
"waitFor": 0,
"mobile": False,
"skipTlsVerification": True,
"timeout": 30000,
"parsers": ["pdf"],
"actions": [
{
"type": "wait",
"milliseconds": 2
}
],
"location": {
"country": "US",
"languages": ["en-US"]
},
"removeBase64Images": True,
"blockAds": True,
"proxy": "auto",
"storeInCache": True
},
"zeroDataRetention": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
prompt: '<string>',
excludePaths: ['<string>'],
includePaths: ['<string>'],
maxDiscoveryDepth: 123,
sitemap: 'include',
ignoreQueryParameters: false,
regexOnFullURL: false,
limit: 10000,
crawlEntireDomain: false,
allowExternalLinks: false,
allowSubdomains: false,
delay: 123,
maxConcurrency: 123,
scrapeOptions: {
formats: ['markdown'],
onlyMainContent: true,
includeTags: ['<string>'],
excludeTags: ['<string>'],
maxAge: 172800000,
headers: {},
waitFor: 0,
mobile: false,
skipTlsVerification: true,
timeout: 30000,
parsers: ['pdf'],
actions: [{type: 'wait', milliseconds: 2}],
location: {country: 'US', languages: ['en-US']},
removeBase64Images: true,
blockAds: true,
proxy: 'auto',
storeInCache: true
},
zeroDataRetention: false
})
};
fetch('https://api.firecrawl.dev/v2/crawl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"id": "<string>",
"url": "<string>"
}{
"error": "Payment required to access this resource."
}{
"error": "Request rate limit exceeded. Please wait and try again later."
}{
"error": "An unexpected error occurred on the server."
}承認
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ボディ
クロールを開始するベースURL
自然言語からクローラーオプション(以下のすべてのパラメーター)を生成するために使用するプロンプトです。明示的に設定されたパラメーターは、生成された対応する値よりも優先されます。
クロールから除外する URL パス名の正規表現パターンです。たとえば、ベース URL が firecrawl.dev の場合に "excludePaths": ["blog/.*"] を設定すると、https://www.firecrawl.dev/blog/firecrawl-launch-week-1-recap のようにそのパターンにマッチする URL はすべて除外されます。
クロールに含めるURLを指定するための、URLパス名に対する正規表現パターンです。指定したパターンにマッチしたパスのみがレスポンスに含まれます。注意:開始URLもこれらのパターンでチェックされるため、マッチしない場合は1ページもクロールされず、ページ数が0になる可能性があります。例えば、ベースURLが firecrawl.dev/blog のときに "includePaths": ["blog/.*"] を指定すると、/blog/ 配下のページのみが結果に含まれます(例:https://www.firecrawl.dev/blog/firecrawl-launch-week-1-recap)。
検出順序に基づいてクロールする最大深度です。ルートサイトおよびサイトマップに含まれるページの検出深度は 0 です。例えば、これを 1 に設定し、かつ sitemap: 'skip' を指定した場合、入力した URL と、そのページからリンクされているすべての URL だけをクロールします。
クロール時のサイトマップモードを指定します。skip を指定すると、クローラーはウェブサイトのサイトマップを無視し、指定した開始URLを起点として、そこから発見したページだけをクロールします。only を指定すると、クローラーはサイトマップ内のURL(+開始URL)のみをクロールし、HTML内のリンクから新たなページをたどることはありません。
skip, include, only 同じパスを、クエリパラメータの有無や値を変えて再スクレイプしないでください
true の場合、includePaths および excludePaths の正規表現パターンは、URL パス名だけでなく、クエリパラメータを含む URL 全体に対してマッチングされます。クエリ文字列に基づいて URL をフィルタリングしたい場合に便利です。
クロールするページ数の最大値。デフォルトの上限は 10,000 です。
クローラーが子パスだけでなく、同一階層(兄弟)や親の URL への内部リンクもたどれるようにします。
false: より深い(子)URL だけをクロールします。 → 例: /features/feature-1 → /features/feature-1/tips ✅ → /pricing や / には遷移しません ❌
true: 同一階層や親階層を含む、あらゆる内部リンクをクロールします。 → 例: /features/feature-1 → /pricing、/ など ✅
入れ子になったパスよりも広く内部ページ全体をカバーしたい場合は true を使用します。
クローラーが外部のウェブサイトへのリンクをたどれるようにします。
クローラーがメインドメイン配下のサブドメインへのリンクをたどれるようにします。
スクレイプ実行間の待機時間(秒)。ウェブサイト側のレート制限を尊重するのに役立ちます。
同時スクレイプ数の上限。このパラメータで、このクロールに対する同時実行数の上限を設定できます。指定しない場合、このクロールはチームに設定されている同時実行数の上限に従います。
Webhook 仕様オブジェクト。
Show child attributes
Show child attributes
Show child attributes
Show child attributes
true の場合、このクロールではデータを一切保持しないゼロデータ保持モードが有効になります。この機能を有効化するには、help@firecrawl.dev までご連絡ください。
